Subject: More PCMCIA thoughts

From: I-Gene Leong <[email-masked]>
Date: Thu, 24 Aug 2000 13:10:35 -0700 (PDT)

I wondered about changing the PCMCIA driver to accomodate the ide.h in
test6-rmk5-np2... but then realized that would break everything else that
depended on PCMCIA handing out absolute addresses for I/O (probably nearly
everything). So I made a little change to ide.h that will probably break a
lot of stuff... this is tested to work on a Cerf, and will probably work
for PCMCIA IDE, but again, this is a horrible, horrible way to go.

Oh, and this fixes the start-stop-daemon problem, too... wonder why...

--- old/include/asm-arm/arch-sa1100/ide.h	Thu Aug 24 10:25:11 2000
+++ linuxwork/include/asm-arm/arch-sa1100/ide.h	Thu Aug 24 13:03:28 2000
@@ -29,7 +29,10 @@
 	ide_ioreg_t reg;
 	int i;
 	int ioshift = 0;
-	int base = PCMCIA_IO_0_BASE;
+/*	int base = PCMCIA_IO_0_BASE; */
+	int base = 0;				/* nasty hack; can't figure
+						   this out, someone else
+						   do it */
 
 	/* The Empeg board has the first two address lines unused */
 	if (machine_is_empeg())

-- 
I-Gene Leong
[email-masked] / 604-646-6962
"We see Linux as being much of a fad as the Internet was in 1995."
  - Irving Wladawsky-Berger, IBM VP of technology and strategy

unsubscribe: body of `unsubscribe linux-arm-kernel' to [email-masked]